Results 1 to 3 of 3

Thread: 20.04.2 system - Will not respect Synaptic package lock at a specific version

  1. #1
    Join Date
    Aug 2007
    Beans
    238
    Distro
    Xubuntu 20.04 Focal Fossa

    20.04.2 system - Will not respect Synaptic package lock at a specific version

    Greetings,

    I recently finally upgraded my trusty system which I had upgraded via LTS for several versions of Xubuntu.... held at the 16.04 release. Now have a freshly loaded Xubuntu 20.04.2 system.

    For Mozilla apps, I use the UbuntuZilla repository. I run the latest SeaMoneky, and Firefox as a browser I locked at v79.

    I have the UbuntuZilla package of FF 79 downloaded.

    Synatpic does not respect I want that package version locked / pinned. When I place a lock on that package in Synaptic, then refresh, mark all updates, Synaptic marks that locked version for upgrade, and insists on trying to actually update that locked version! I have had to purge off, reinstall my desired version from local package file, re-lock the package.... Synaptic will not stop trying to upgrade it.

    This smells like a bug in this 20.04.2 version I upgraded to.

    Thoughts anyone?

    I am thankful,
    Michael Lueck

  2. #2
    Join Date
    Aug 2007
    Beans
    238
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: 20.04.2 system - Will not respect Synaptic package lock at a specific version

    Greetings again,

    For what ever reason, Synaptic does not appear to respect Package Locks in the current LTS release.

    However I utilized:

    $ sudo apt-mark hold firefox-esr-mozilla-build
    $ sudo apt-mark hold firefox-mozilla-build
    $ apt-mark showhold
    firefox-esr-mozilla-build
    firefox-mozilla-build

    When I started, apt-mark did not see the lock on the two packages the Synaptic UI still recognized.

    Now Synaptic no longer tries to update the packages from the versions I want maintained.

    Probably a defect against Synaptic.

    I am thankful,
    Michael Lueck

  3. #3
    Join Date
    Aug 2007
    Beans
    238
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: 20.04.2 system - Will not respect Synaptic package lock at a specific version

    Greetings,

    Seems this defect is already known / logged....

    synaptic: ‘Lock Version’ is broken; use dpkg hold
    https://bugs.launchpad.net/ubuntu/+s...tic/+bug/42178

    From my post to that defect case... seems odd and incorrect if that is the case. I would think to be dpkg compatible, Synaptic should use the same flag as other dpkg / apt tools, no?

    Anyway, for us this is a definite new break moving from 16.04 to 20.4.2 versions.

    I am thankful,
    Michael Lueck

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •